> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Issues

> List all the issues for a given connection. sort - supports `severity:asc` (eg. lowest to highest criticality) and `severity:desc` if not direction is provided it will default to `asc`



## OpenAPI

````yaml get /appsec/issues
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /appsec/issues:
    get:
      tags:
        - appsec
      summary: List Issues
      description: >-
        List all the issues for a given connection. sort - supports
        `severity:asc` (eg. lowest to highest criticality) and `severity:desc`
        if not direction is provided it will default to `asc`
      operationId: list_issues
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: >-
                  ^severity$|^severity\:asc$|^severity\:desc$|^updated_at$|^updated_at\:asc$|^updated_at\:desc$|^state_updated_at$|^state_updated_at\:asc$|^state_updated_at\:desc$
              - type: 'null'
            description: Sort by field
            title: Sort
          description: Sort by field
        - name: stateUpdatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return issues where the state was updated
              since this datetime. Example format: `2021-01-01T00:00:00+00:00`
            title: Stateupdatedsince
          description: >-
            Datetime filter, only return issues where the state was updated
            since this datetime. Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: firstSeenSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return issues where the first seen since
              this datetime. Example format: `2021-01-01T00:00:00+00:00`
            title: Firstseensince
          description: >-
            Datetime filter, only return issues where the first seen since this
            datetime. Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: lastSeenSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return issues where the last seen since this
              datetime. Example format: `2021-01-01T00:00:00+00:00`
            title: Lastseensince
          description: >-
            Datetime filter, only return issues where the last seen since this
            datetime. Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: severity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Issue severity filter, comma separated
            title: Severity
          description: Issue severity filter, comma separated
          example: critical,high
        - name: state
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Issue state filter, comma separated
            title: State
          description: Issue state filter, comma separated
          example: open,closed
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Issue type filter, comma separated. If starts with `!`, it will be
              negated
            examples:
              - vulnerability,license
              - '!license'
            title: Type
          description: >-
            Issue type filter, comma separated. If starts with `!`, it will be
            negated
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Issue IDs filter, comma separated. Max 100 IDs
            title: Ids
          description: Issue IDs filter, comma separated. Max 100 IDs
          example: >-
            123e4567-e89b-12d3-a456-426614174000,123e4567-e89b-12d3-a456-426614174001
        - name: enableCursor
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Enable cursor based pagination instead of default offset-based
              pagination
            default: false
            title: Enablecursor
          description: >-
            Enable cursor based pagination instead of default offset-based
            pagination
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset index (starting index of page)
            default: 0
            title: Offset
          description: Offset index (starting index of page)
        - name: excludeTotal
          in: query
          required: false
          schema:
            type: boolean
            description: Skips returning the total rows, total is set to null when true
            default: false
            title: Excludetotal
          description: Skips returning the total rows, total is set to null when true
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/OffsetPaginatedResponse_AppSecIssueRespModel_
                  - $ref: >-
                      #/components/schemas/KeySetPaginatedResponse_AppSecIssueRespModel_
                title: Response List Issues
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_AppSecIssueRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/AppSecIssueRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[AppSecIssueRespModel]
    KeySetPaginatedResponse_AppSecIssueRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/AppSecIssueRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[AppSecIssueRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    AppSecIssueRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        code_repo:
          type: string
          title: Code Repo
        project_file_path:
          type: string
          title: Project File Path
        repo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Url
        repo_branch_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Branch Name
        vendor:
          type: string
          title: Vendor
        vendor_id:
          type: string
          title: Vendor Id
        name:
          type: string
          title: Name
        package_name:
          type: string
          title: Package Name
        package_version:
          type: string
          title: Package Version
        severity:
          $ref: '#/components/schemas/AppSecIssueSeverityEnum'
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        package_manager:
          type: string
          title: Package Manager
        publication_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Publication Time
        is_patchable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Patchable
        remediation:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Remediation
        type:
          $ref: '#/components/schemas/AppSecIssueTypeEnum'
        description:
          type: string
          title: Description
        vulnerability_identifiers:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierCVE'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierCWE'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierOWASP'
                  - $ref: '#/components/schemas/AppSecIssueVulnIdentifierOther'
              type: array
            - type: 'null'
          title: Vulnerability Identifiers
        cvss_score:
          anyOf:
            - type: number
            - type: 'null'
          title: Cvss Score
        state:
          $ref: '#/components/schemas/AppSecIssueStateEnum'
        first_seen:
          type: string
          format: date-time
          title: First Seen
        last_seen:
          type: string
          format: date-time
          title: Last Seen
        kb_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Kb Url
        issue_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Url
        vendor_data:
          anyOf:
            - $ref: '#/components/schemas/AikidoVendorData'
            - $ref: '#/components/schemas/ArnicaVendorData'
            - $ref: '#/components/schemas/SnykVendorData'
            - $ref: '#/components/schemas/SemgrepVendorData'
            - $ref: '#/components/schemas/WizCodeVendorData'
            - type: 'null'
          title: Vendor Data
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        state_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: State Updated At
      type: object
      required:
        - id
        - code_repo
        - project_file_path
        - vendor
        - vendor_id
        - name
        - package_name
        - package_version
        - severity
        - package_manager
        - type
        - description
        - state
        - first_seen
        - last_seen
      title: AppSecIssue
    AppSecIssueSeverityEnum:
      type: string
      enum:
        - INFO
        - LOW
        - MEDIUM
        - HIGH
        - CRITICAL
      title: AppSecIssueSeverityEnum
    AppSecIssueTypeEnum:
      type: string
      enum:
        - VULNERABILITY
        - LICENSE
        - CLOUD
        - CODE
        - CUSTOM
        - CONFIG
      title: AppSecIssueTypeEnum
    AppSecIssueVulnIdentifierCVE:
      properties:
        type:
          type: string
          enum:
            - CVE
          const: CVE
          title: Type
        value:
          type: string
          title: Value
          examples:
            - CVE-2021-34527
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierCVE
    AppSecIssueVulnIdentifierCWE:
      properties:
        type:
          type: string
          enum:
            - CWE
          const: CWE
          title: Type
        value:
          type: string
          title: Value
          examples:
            - CWE-79
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierCWE
    AppSecIssueVulnIdentifierOWASP:
      properties:
        type:
          type: string
          enum:
            - OWASP
          const: OWASP
          title: Type
        value:
          type: string
          title: Value
          examples:
            - A06:2021
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierOWASP
    AppSecIssueVulnIdentifierOther:
      properties:
        type:
          type: string
          enum:
            - OTHER
          const: OTHER
          title: Type
        value:
          type: string
          title: Value
          examples:
            - SNYK-CC-TF-130
      type: object
      required:
        - type
        - value
      title: AppSecIssueVulnIdentifierOther
    AppSecIssueStateEnum:
      type: string
      enum:
        - OPEN
        - CLOSED
        - IGNORED
        - DELETED
      title: AppSecIssueStateEnum
    AikidoVendorData:
      properties:
        finding_type:
          $ref: '#/components/schemas/AikidoIssueTypeEnum'
        attack_surface_type:
          $ref: '#/components/schemas/AikidoIssueAttackSurfaceEnum'
        attack_surface:
          anyOf:
            - $ref: '#/components/schemas/AikidoCodeRepository'
            - $ref: '#/components/schemas/AkikidoCloud'
            - $ref: '#/components/schemas/AikidoContainer'
            - type: 'null'
          title: Attack Surface
      type: object
      required:
        - finding_type
        - attack_surface_type
      title: AikidoVendorData
    ArnicaVendorData:
      properties:
        commit_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Hash
        commit_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Message
        commit_author:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Author
        rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule Id
        asset_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Link
      type: object
      title: ArnicaVendorData
    SnykVendorData:
      properties:
        issue_key:
          type: string
          title: Issue Key
        is_fixable_manually:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Manually
        is_fixable_snyk:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Snyk
        is_fixable_upstream:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Fixable Upstream
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      type: object
      required:
        - issue_key
      title: SnykVendorData
    SemgrepVendorData:
      properties:
        line_of_code_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Line Of Code Url
        found_dependency_ecosystem:
          anyOf:
            - type: string
            - type: 'null'
          title: Found Dependency Ecosystem
      type: object
      title: SemgrepVendorData
    WizCodeVendorData:
      properties:
        source_code_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Code Url
        cloud_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Platform
        cloud_provider_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloud Provider Url
        location_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Path
        line_number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Line Number
        related_issues:
          anyOf:
            - items:
                $ref: '#/components/schemas/WizRelatedIssuesNode'
              type: array
            - type: 'null'
          title: Related Issues
      type: object
      title: WizCodeVendorData
    AikidoIssueTypeEnum:
      type: string
      enum:
        - cloud
        - eol
        - iac
        - leaked_secret
        - malware
        - mobile
        - open_source
        - sast
        - surface_monitoring
        - scm_security
        - license
        - ai_pentest
      title: AikidoIssueTypeEnum
    AikidoIssueAttackSurfaceEnum:
      type: string
      enum:
        - backend
        - cloud
        - docker_container
        - frontend
        - scm
        - cloud_instance
        - ''
      title: AikidoIssueAttackSurfaceEnum
    AikidoCodeRepository:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        external_repo_id:
          type: string
          title: External Repo Id
        provider:
          type: string
          title: Provider
        active:
          type: boolean
          title: Active
        branch:
          type: string
          title: Branch
      type: object
      required:
        - id
        - name
        - external_repo_id
        - provider
        - active
        - branch
      title: AikidoCodeRepository
    AkikidoCloud:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        environment:
          type: string
          title: Environment
        external_id:
          type: string
          title: External Id
      type: object
      required:
        - id
        - name
        - provider
        - environment
        - external_id
      title: AkikidoCloud
    AikidoContainer:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        registry_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Registry Name
      type: object
      required:
        - id
        - name
        - provider
      title: AikidoContainer
    WizRelatedIssuesNode:
      properties:
        nodes:
          anyOf:
            - items:
                $ref: '#/components/schemas/WizRelatedIssues'
              type: array
            - type: 'null'
          title: Nodes
          field_metadata:
            is_event_timestamp: false
            is_silver_identifier: false
            is_unique_identifier: false
            lookup_identifiers: []
            prefix: related_issue
      type: object
      required:
        - nodes
      title: WizRelatedIssuesNode
    WizRelatedIssues:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      type: object
      title: WizRelatedIssues
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````